Message an Agent (streaming)post https://{protocol}://{base-url}/ai/api/v1/chats/agent/{agent_config_id}/streamSend messages to a specific custom agent.Path Paramsagent_config_idstringrequiredThe ID of the Agent Config to use.Query Paramschat_idstringnullThe ID of the Chat to use. If not provided, a new Chat will be created.tagsarray | nullIf creating a new chat, add these tags to it. This is ignored if the chat already exists.Tags array | nullBody ParamsThe payload to be sent to the agent. This should conform to the input JSON schema of the agent. Optionally, a 'tool_approvals' parameter may be accepted with a dictionary of tool_call_id to approval boolean. When submitting tool approvals, the input payload must match the original inputs used to generate the tool calls (same as the previous API call). If tool_approvals is provided, the message parameter is ignored and the tool calls are executed or skipped.tool_approvalsobject | null[LEGACY] A mapping of tool_call_id to approval boolean. When submitting tool approvals, the input payload must match the original inputs used to generate the tool calls (same as the previous API call). If tool_approvals is provided, the message parameter is ignored and the tool calls are executed or skipped. Prefer using 'approvals' field for new integrations.Tool Approvals object | nullapprovalsobject | nullA mapping of function name to approval decision for codemode agents. Applies to functions decorated with @requires_approval. Use 'approve' for one-time approval, 'approve_session' for session-level approval, 'deny' for one-time denial, or 'deny_session' to deny for the session.Approvals object | nullAdd FieldHeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/event-streamAllowed:application/jsontext/event-streamResponses 201Message sent successfully. Returns an event stream of Message objects. 204The message is empty and was ignored. 401Authentication required. No valid session cookie or bearer token provided, or authentication failed. 402Tenant has no remaining tool calls. The request cannot be completed. 404Resource not found. The detail field specifies which resource. 409Chat is busy. Returns an event stream of the running chat. 413The payload exceeds the model's context window. 422The payload is not valid according to the input JSON schema of the agent. 500Internal server error during request processing.Updated 14 days ago Message the "Query" Agent (async)Message the "SQL Eval Case Manager" Agent (streaming)Did this page help you?YesNo